.portal {

    min-height: 80vh;

    display: flex;

    justify-content: center;
    align-items: center;

    padding: 40px 20px;
}

.portal-box {

    width: 420px;

    padding: 50px;

    border-radius: 18px;

    background: rgba(255,255,255,0.05);

    border: 1px solid rgba(255,255,255,0.1);

    backdrop-filter: blur(15px);

    text-align: center;
}

.portal-box p {

    opacity: 0.8s;

    margin-bottom: 30px;
}

.portal-box input {

    width: 100%;

    padding: 16px;

    border-radius: 12px;

    border: 1px solid rgba(255,255,255,0.1);

    background: rgba(255,255,255,0.05);

    color: white;

    font-size: 16px;

    margin-bottom: 20px;

    box-sizing: border-box;
}

.portal-box input:focus {

    outline: none;

    border-color: #4da3ff;

    box-shadow: 0 0 15px rgba(77,163,255,0.3);
}

#error-message {

    display: none;

    margin-top: 20px;

    color: #ff4d4d;

    background: rgba(255,77,77,0.1);

    border: 1px solid #ff4d4d;

    padding: 12px;

    border-radius: 10px;

    font-weight: bold;
}